Get one active seller negotiation

get

/fscmRestApi/resources/11.13.18.05/bidderSellerNegotiations/{bidderSellerNegotiationsUniqID}

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key--- SellerAuctionHeaderId, BidderId and BidderSiteId ---for the Active Seller Negotiations resource and used to uniquely identify an instance of Active Seller Negotiations. The client should not generate the hash key value. Instead, the client should query on the Active Seller Negotiations collection resource with a filter on the primary key values in order to navigate to a specific instance of Active Seller Negotiations.

    For example: bidderSellerNegotiations?q=SellerAuctionHeaderId=<value1>;BidderId=<value2>;BidderSiteId=<value3>
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : bidderSellerNegotiations-item-response
Type: object
Show Source
  • Read Only: true
    Total number of active bids submitted by all bidders for a seller negotiation.
  • Read Only: true
    Maximum Length: 25
    Code for the current status of the auction.
  • Read Only: true
    Value that uniquely identifies the contact person associated with the bidder invited to participate in the seller negotiation.
  • Read Only: true
    Value that uniquely identifies the bidder that the application invited to participate in the seller negotiation.
  • Read Only: true
    Maximum Length: 4000
    The status of the negotiation as displayed to the bidder.
  • Read Only: true
    Maximum Length: 4000
    Abbreviation that uniquely identifies the status of the negotiation displayed to the bidder.
  • Read Only: true
    Maximum Length: 240
    Bidder site name linked to the bidder invited for seller negotiation.
  • Read Only: true
    Value that uniquely identifies the bidder site associated with the bidder invited to participate in the seller negotiation.
  • Read Only: true
    Date when the negotiation stops accepting bids from bidders.
  • Read Only: true
    Maximum Length: 64
    User who created the seller negotiation.
  • Read Only: true
    Date and time when the user created the seller negotiation.
  • Read Only: true
    Value that identifies the bid number in Draft status, pending submission by the bidder for the seller negotiation.
  • Read Only: true
    Contains one of the following values: true or false. If true, the bidder has submitted at least one bid for the seller negotiation. If false, no bids have been submitted.
  • Read Only: true
    Contains one of the following values: true or false. It's true when the bidder has been invited to participate in the seller negotiation. otherwise, false.
  • Contains one of the following values: true or false. If true, the seller negotiation is paused. If false, the seller negotiation isn't paused.
  • Read Only: true
    Value that uniquely identifies the latest submitted bid number, either active or disqualified, for the bidder in the seller negotiation.
  • Read Only: true
    Maximum Length: 25
    Value that uniquely identifies the status of the latest submitted bid, either active or disqualified, for the bidder in the seller negotiation.
  • Links
  • Read Only: true
    Maximum Length: 240
    Number that identifies the seller negotiation.
  • Read Only: true
    Maximum Length: 80
    Text that describes the purpose of the negotiation.
  • Read Only: true
    Date when the negotiation starts accepting bids from bidders.
  • Read Only: true
    Maximum Length: 240
    Name of the person who created the negotiation.
  • Read Only: true
    Value that uniquely identifies the person who created the negotiation.
  • Read Only: true
    Date and time when the seller negotiation becomes available for bidder preview.
  • Read Only: true
    Maximum Length: 240
    Name of the procurement business unit that owns the seller negotiation.
  • Read Only: true
    Value that uniquely identifies the procurement business unit that owns the seller negotiation.
  • Read Only: true
    Date when the seller negotiation was published.
  • Read Only: true
    Value that uniquely identifies the seller negotiation.
  • Read Only: true
    Maximum Length: 25
    Brief summary of the seller negotiation.
  • Read Only: true
    Maximum Length: 4000
    Indicates the time remaining before the seller negotiation closes.
  • Read Only: true
    Sort order of the negotiation based on the time remaining to close the negotiation.
  • Read Only: true
    Total number of bids submitted by the bidder for the seller negotiation.
Back to Top